org.apache.felix.bundlerepository.impl.wrapper

## Class RequirementWrapper

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.wrapper.RequirementWrapper

All Implemented Interfaces:
  org.osgi.service.obr.Requirement

    public class RequirementWrapper
    extends java.lang.Object
    implements org.osgi.service.obr.Requirement

### Constructor Summary

Constructors
Constructor and Description
`RequirementWrapper(Requirement requirement)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getComment()`
`java.lang.String` `getFilter()`
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `isExtend()`
`boolean` `isMultiple()`
`boolean` `isOptional()`
`boolean` `isSatisfied(org.osgi.service.obr.Capability capability)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequirementWrapper

    public RequirementWrapper(Requirement requirement)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.osgi.service.obr.Requirement`

#### getFilter

    public java.lang.String getFilter()

Specified by:
  `getFilter` in interface `org.osgi.service.obr.Requirement`

#### isMultiple

    public boolean isMultiple()

Specified by:
  `isMultiple` in interface `org.osgi.service.obr.Requirement`

#### isOptional

    public boolean isOptional()

Specified by:
  `isOptional` in interface `org.osgi.service.obr.Requirement`

#### isExtend

    public boolean isExtend()

Specified by:
  `isExtend` in interface `org.osgi.service.obr.Requirement`

#### getComment

    public java.lang.String getComment()

Specified by:
  `getComment` in interface `org.osgi.service.obr.Requirement`

#### isSatisfied

    public boolean isSatisfied(org.osgi.service.obr.Capability capability)

Specified by:
  `isSatisfied` in interface `org.osgi.service.obr.Requirement`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`